.pt-t-result-wrapper {
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-bottom: 25rem;
  height: 100vh;
  overflow-y: auto;
  overflow-x: hidden;
  &__container {
    width: 76.4rem;
    height: 100%;
    & > .__header {
      padding: 0 12.2rem;
      transform: translateY(16.8rem);
      & > .pt-m-fireworks{
        .__fireworks{
          top: 10% !important
        }
      }
      & > .box-header{
        & > .__medal {
          width: 22.6rem;
          height: 22.6rem;
          margin: -11.3rem auto 1rem auto;
          animation-name: result-wrapper__medal;
          animation-iteration-count: infinite;
          animation-duration: 2s;
          position: relative;
          z-index: 2;
          user-select: none;
  
          & > img {
            user-select: none;
          }
        }
        & > .content-header{
          & > .__heading {
            margin: 0 0 1rem 0;
            color: $dodgerBlue;
            font-family: 'mont_sb';
            font-size: 3rem;
            line-height: 3.7rem;
            text-align: center;
            user-select: none;
          }
          & > .__description {
            color: $gunPowder;
            font-family: 'mont_m';
            line-height: 1.9rem;
            text-align: center;
            user-select: none;
          }
        }
      }
      
      
    }
    & > .__content {
      padding: 3.3rem 14rem;
      transform: translateY(16.8rem);
      & > .__third-party-link{
        border: 1px solid #2692ff;
        border-radius: 1.6rem;
        padding: 1rem;
        margin-bottom: 2rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        & > .__text-info{
          font-family: 'mont_m';
          text-align: center;
          user-select: none;
          color: #2692ff;
        }
        & > .__url-link{
          font-size: 1.3rem;
          margin: 0.5rem;
          padding: 1rem 0;
          color: #2692ff;
          text-decoration: underline !important;
          word-break: break-word;
          &:hover {
            color: #0371df;
            text-decoration: underline !important;
          }
        }
        & > .__btn-copy-url {
          min-width: 24rem;
          height: 4.6rem;
          margin: 2 2rem;
          border-radius: 2.3rem;
          background-color: $limeGreen;
          color: white;
        }
      }
      
      & > .__total {
        color: $dodgerBlue;
        font-family: 'mont_b';
        font-size: 4rem;
        line-height: 4.9rem;
        text-align: center;
      }
      .__progress {
        &-list {
          margin: 0.6rem 0 0 0;
        }
        &-item {
          margin: 1rem 0 0 0;
          position: relative;
          & > .__info {
            display: flex;
            align-items: center;
            justify-content: space-between;
            & > .__label {
              color: $airForceBlue;
              font-family: 'mont_m';
              font-size: 1.6rem;
              line-height: 1.8rem;
            }
            & > .__value {
              color: $nightRider;
              font-family: 'mont_sb';
              font-size: 1.6rem;
              line-height: 1.8rem;
            }
          }
          & > .__filter {
            padding: 0.4rem 0 0 0;
            .rs-progress-line {
              &-inner {
                height: 1.1rem;
                background: $gainsboro;
                border-radius: 0.6rem;
              }
            }
          }
        }
      }
    }
    & > .__footer {
      padding: 0 12.2rem 2rem 12.2rem;
      transform: translateY(16.8rem);
      display: flex;
      align-items: center;
      justify-content: center;
      & > .__btn {
        min-width: 24rem;
        height: 4.6rem;
        margin: 0 2rem;
        border-radius: 2.3rem;
        &.--cancel {
          border: 0.2rem solid $lightSkyBlue;
          color: $dodgerBlue;
          font-family: 'mont_sb';
          font-size: 1.8rem;
        }
        &.--submit {
          position: relative;
          &:active {
            &::before {
              background: $deepSkyBlue;
            }
          }
          &::before {
            width: 100%;
            height: 100%;
            background: linear-gradient($deepSkyBlue, $dodgerBlue);
            color: $white;
            content: 'View the answer';
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: 'mont_sb';
            font-size: 1.8rem;
            position: absolute;
            top: 0;
            left: 0;
          }
        }
      }
    }
  }
}

@include screen-768-1024-portrait {
  .pt-t-result-wrapper {
    background-image: url(/images/backgrounds/test-background.png);
    &__container {
      width: calc(100% - 5.2rem);
      & > .__header {
        padding: 0;
        position: relative;
        padding-top: 8.8rem;
        border-top-left-radius: 2.4rem;
        border-top-right-radius: 2.4rem;
        background: white;
        & > .box-header{
          & > .__medal {
            width: 17.6rem;
            height: 17.6rem;
            margin: -8.3rem auto 1rem auto;
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
          }
          & > .content-header{
            & > .__heading {
              font-size: 2.6rem;
            }
            & > .__description {
              font-size: 2.2rem;
            }
          }
        }
      }
      & > .__content {
        padding: 0.4rem 10rem 2rem 10rem;
        background: white;
        border-bottom-left-radius: 2.4rem;
        border-bottom-right-radius: 2.4rem;

        & > .__third-party-link{

          & > .__text-info{
            font-size: 2rem;
          }
          & > .__btn-copy-url{
            margin: 1rem;
            border-radius: 2.3rem;
          }
        }
        & > .__total {
          font-size: 2.6rem;
        }
        .__progress {
          &-list {
            margin: 0.6rem 0 0 0;
          }
          &-item {
            margin: 1rem 0 0 0;
            & > .__info {
              & > .__label {
                font-size: 2rem;
              }
              & > .__value {
                font-size: 2rem;
              }
            }
            & > .__filter {
              padding: 0.4rem 0 0 0;
              .rs-progress-line {
                &-inner {
                  height: 1.1rem;
                  background: $gainsboro;
                  border-radius: 0.6rem;
                }
              }
            }
          }
        }
      }
      & > .__footer {
        padding: 0;
        & > .__btn {
          margin: 2rem;
          border-radius: 2.3rem;
          &.--cancel {
            font-family: 'mont_b';
            font-size: 2rem;
          }
          &.--submit {
            &::before {
              font-family: 'mont_b';
              font-size: 2rem;
            }
          }
        }
      }
    }
  }
}

@include screen-767-portrait{
  .pt-t-result-wrapper {
    background-image: url(/images/backgrounds/test-background.png);
    &__container {
      width: calc(100% - 5.2rem);
      padding: 0;
      & > .__header {
        padding: 0 3rem;
        padding-top: 7.3rem;
        position: relative;
        border-top-left-radius: 2.4rem;
        border-top-right-radius: 2.4rem;
        background: white;
        & > .box-header{
          & > .__medal {
            width: 14.6rem;
            height: 14.6rem;
            margin: -7.3rem auto 1rem auto;
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
          } 
          & > .content-header{

            & > .__heading {
              font-size: 1.6rem;
              font-family: 'mont_b';
            }
            & > .__description {
              font-size: 1.4rem;
            }
          }
        }
      }
      & > .__content {
        // padding: 0.4rem 10rem 2rem 10rem;
        padding: 0.4rem 3rem 2rem 3rem;
        background: white;
        border-bottom-left-radius: 2.4rem;
        border-bottom-right-radius: 2.4rem;
        & > .__third-party-link{

          & > .__text-info{
            font-size: 1.4rem;
          }
          & > .__btn-copy-url{
            min-width: unset;
            height: unset;
            margin: 0 2rem;
            border-radius: 2rem;
            font-size: 1.4rem !important;
          }
          
        }
        & > .__total {
          font-size: 1.6rem;
          font-family: 'mont_b';
        }
        .__progress {
          &-list {
            margin: 0.6rem 0 0 0;
          }
          &-item {
            margin: 1rem 0 0 0;
            & > .__info {
              & > .__label {
                font-size: 1.4rem;
              }
              & > .__value {
                font-size: 1.4rem;
              }
            }
            & > .__filter {
              padding: 0.4rem 0 0 0;
              .rs-progress-line {
                &-inner {
                  height: 1.1rem;
                  background: $gainsboro;
                  border-radius: 0.6rem;
                }
              }
            }
          }
        }
      }
      & > .__footer {
        padding: 1rem 3rem;
        & > .__btn {
          min-width: 16rem;
          padding: 1rem;
          line-height: 1.5;
          height: unset;
          margin: 0 2rem;
          border-radius: 2.3rem;
          &.--cancel {
            font-family: 'mont_b';
            font-size: 1.4rem;
          }
          &.--submit {
            &::before {
              font-family: 'mont_b';
              font-size: 1.4rem;
            }
          }
        }
      }
    }
  }
}

@include screen-1199-landscape{
  .pt-t-result-wrapper {
    min-height: 100vh;
    height: 100%;
    height: 100vh;
    &__container {
      width: 76.4rem;
      height: 100%;
      & > .__header {
        padding: 0 12.2rem;
        padding-top: 8.8rem;
        & > .box-header{
          & > .__medal {
            width: 17.6rem;
            height: 17.6rem;
            margin: -8.3rem auto 1rem auto;
            position: absolute;
            top: -8.8rem;
            left: 0;
            right: 0;
            & > img {
              user-select: none;
            }
          }
          & > .content-header{

            & > .__heading {
              font-size: 2.6rem;
            }
            & > .__description {
              font-size: 2.2rem;
            }
          }
        }
      }
      & > .__content {
        padding: 0.4rem 10rem 2rem 10rem;
        & > .__total {
          font-size: 2.6rem;
        }
        .__progress {
          &-list {
            margin: 0.6rem 0 0 0;
          }
          &-item {
            margin: 1rem 0 0 0;
            & > .__info {
              & > .__label {
                font-size: 2rem;
              }
              & > .__value {
                font-size: 2rem;
              }
            }
            & > .__filter {
              padding: 0.4rem 0 0 0;
              .rs-progress-line {
                &-inner {
                  height: 1.1rem;
                  background: $gainsboro;
                  border-radius: 0.6rem;
                }
              }
            }
          }
        }
      }
      & > .__footer {
        padding: 0;
        & > .__btn {
          margin: 2rem;
          border-radius: 2.3rem;
          &.--cancel {
            font-family: 'mont_b';
            font-size: 2rem;
          }
          &.--submit {
            &::before {
              font-family: 'mont_b';
              font-size: 2rem;
            }
          }
        }
      }
    }
  }
}
@include screen-960-landscape{
  .pt-t-result-wrapper {
    min-height: 100vh;
    height: 100%;
    height: 100vh;
    &__container {
      width: 76.4rem;
      height: 100%;
      & > .__header {
        padding: 0 12.2rem;
        & > .box-header{
          & > .__medal {
            width: 17.6rem;
            height: 17.6rem;
            margin: -8.3rem auto 1rem auto;
    
            & > img {
              user-select: none;
            }
          }
          & > .content-header{
            & > .__heading {
              font-size: 2rem;
              line-height: 3rem;
            }
            & > .__description {
              font-size: 1.6rem;
            }
          }
        }
      }
      & > .__content {
        padding: 0.4rem 10rem 2rem 10rem;
        & > .__third-party-link{

          & > .__text-info{
            font-size: 2rem;
          }
          & > .__btn-copy-url{
            margin: 1rem;
            border-radius: 2.3rem;
          }
        }
        & > .__total {
          font-size: 2rem;
          line-height: 4rem;
        }
        .__progress {
          &-list {
            margin: 0.6rem 0 0 0;
          }
          &-item {
            margin: 1rem 0 0 0;
            & > .__info {
              & > .__label {
                font-size: 1.4rem;
              }
              & > .__value {
                font-size: 1.4rem;
              }
            }
            & > .__filter {
              padding: 0.4rem 0 0 0;
              .rs-progress-line {
                &-inner {
                  height: 1.1rem;
                  background: $gainsboro;
                  border-radius: 0.6rem;
                }
              }
            }
          }
        }
      }
      & > .__footer {
        padding: 0;
        & > .__btn {
          margin: 2rem;
          border-radius: 2.3rem;
          &.--cancel {
            font-family: 'mont_b';
            font-size: 1.4rem;
          }
          &.--submit {
            &::before {
              font-family: 'mont_b';
              font-size: 1.4rem;
            }
          }
        }
      }
    }
  }
}